/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;


/**
 *
 * InstanceNode
 * @version $Revision: 1.1.1.1 $
 * @since 
 */
public class InstanceNode extends TreeNode {

    
    protected ServerInfo m_serverInfo = null;
    

    /**
     * @param node
     */
    public InstanceNode(String node) {
        super(node);
        // TODO 自動生成されたコンストラクター・スタブ
    }
    /**
     * @param content
     * @param imageKey
     */
    public InstanceNode(String content, String imageKey) {
        super(content, imageKey);
        // TODO 自動生成されたコンストラクター・スタブ
    }
    /**
     * @param node
     */
    public InstanceNode(ServerInfo serverInfo) {
        super(null);
        m_serverInfo = serverInfo;
        
    }
    /**
     * @return serverInfo を戻します。
     */
    public ServerInfo getServerInfo() {
        return m_serverInfo;
    }
}
